
QGIS Application - Bug report #283

Polygon & multipolygon shape file crashes qgis

2006-09-22 12:03 AM - creeping -

Status: Closed

Priority: Low

Assignee: Gary Sherman

Category: Vectors

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme

Crashes QGIS or corrupts data: Copied to github as #: 10342

Description

win32 preview 2 crashes when shape vector file is loaded. See attached file.

History

#1 - 2006-09-22 12:15 AM - creeping -

file is located here: http://creeping.orcon.net.nz/qgis/ldt.7z

#2 - 2006-09-22 01:12 AM - Marco Hugentobler

This seems to be a problem of the windows version. I tried it with the current svn version on Linux and I could load and view this shapefile without any

problems.

#3 - 2006-10-12 04:55 AM - Redmine Admin

Works for me in 0.8.0 Preview2 (Windows) on Windows XP Proffesional SP2. Try to create qgis.bat file for executing qgis

Content of qgis.bat

c:\\path\\to\\your\\qgis.exe

PAUSE

It should prevent you from closing window with debug info which may help to diagnose the problem with crashing.

#4 - 2006-11-09 12:50 PM - Redmine Admin

- Resolution set to worksforme

- Status changed from Open to Closed

Works for me in QGIS 0.8.0Preview 2 and also in latest Tim's Windows testbuild and also in all my Linux builds.

#5 - 2006-11-16 06:39 PM - creeping -

- Status changed from Closed to Feedback
- Resolution deleted (worksforme)

Hi this still crashes on my winxp sp2 machine :( I haven't got a debug build so I can;t give anymore information. Maybe the next windows release should

have debug info.

#6 - 2006-11-21 12:42 PM - Martin Dobias

Hi, here you can get also testing debug version of qgis:

http://qgis.org/uploadfiles/testbuilds/

Please try again and give us some feedback.

#7 - 2006-12-04 06:03 PM - Martin Dobias

- Status changed from Feedback to Closed

- Resolution set to worksforme

Two weeks no feedback, I'm closing this one.

#8 - 2006-12-10 03:35 PM - creeping -

Thanks, I have tested in Tims latest win32 build and the file does not crash qgis anymore :)

#9 - 2009-08-22 12:46 AM - Anonymous

Milestone Version 0.8 deleted
